package com.house365.dao;

import com.house365.beans.vo.User;
import com.house365.beans.vo.UserExample;
import com.house365.common.interfaces.Dao;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface UserMapper extends Dao<User> {

    int countByExample(UserExample example);

    int deleteByExample(UserExample example);

    int deleteByPrimaryKey(Integer id);

    int insert(User record);

    int insertSelective(User record);

    List<User> selectByExample(UserExample example);

    User selectByPrimaryKey(Integer id);

    int updateByExampleSelective(@Param("record") User record, @Param("example") UserExample example);

    int updateByExample(@Param("record") User record, @Param("example") UserExample example);

    int updateByPrimaryKeySelective(User record);

    int updateByPrimaryKey(User record);

    int nextId(String companyId);

    User selectByCompanyIdAndUserId(@Param("companyId") String companyId, @Param("companyUserId") String companyUserId);
}
